import 'dart:io';

import 'package:dcli/dcli.dart';

import 'install.dart';

class AddCommand extends InstallCommand {
  @override
  String get name => 'add';

  @override
  String get invocation => 'crawl add <package> [arguments]';

  @override
  void run() {
    if (argResults.arguments.isEmpty) {
      print(red('Please provide a package'));
      exit(1);
    }

    if (!exists('pubspec.yaml')) {
      print(red(
          'No pubspec.yaml file in project. Please create one with the `crawl init` command.'));
      exit(1);
    }

    installPackage(argResults.arguments.first);
  }
}
